Letsencrypt failed to renew

We were getting this letsencrypt renewal error on some Ubuntu 16.04 machines:

OSError: Command /opt/eff.org/certbot/venv/bin/python2.7 – setuptools pkg_resources pip wheel failed with error code 1

Googling around, hit a few walls and finally found the solution,
just need to run this in Ubuntu:

export LC_ALL=”en_US.UTF-8″
export LC_CTYPE=”en_US.UTF-8″

Then continue on with the letsencrypt-auto script will do.

Leave a comment